package leigh.stack.dnsd;

import leigh.mecha.log.MechaLogger;
import leigh.mecha.log.MechaLoggerFactory;
import leigh.mecha.util.UniversalJob;

import java.net.MalformedURLException;
import java.net.UnknownHostException;

public class DNSDaemon {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(DNSDaemon.class);

    public static void main(String[] args) throws UnknownHostException, MalformedURLException {
        UniversalJob.banner(logger, "DNSDaemon");

        DNSService svc = new DNSService(53);
        svc.run();
    }
}
